Name:       voxelands
Version:    1409.00
Release:    2%{?dist}
Summary:    The Fun-Focused Free Software Voxel World Game

# bundled(jthread) uses MIT
License:    GPLv3 and MIT and CC-BY-SA
URL:        http://www.voxelands.com
Source0:    http://www.voxelands.com/downloads/%{name}-%{version}-src.tar.bz2
Source1:    %{name}@.service
Source2:    %{name}.rsyslog
Source3:    %{name}.logrotate
Source4:    default.conf
Source5:    %{name}.README

# same reason as: https://fedorahosted.org/fpc/ticket/347
Provides: bundled(jthread)
BuildRequires:  cmake >= 2.6.0
BuildRequires:  irrlicht-devel bzip2-devel gettext-devel libsqlite3x-devel
BuildRequires:  libpng-devel libjpeg-turbo-devel libXxf86vm-devel mesa-libglapi
BuildRequires:  openal-soft-devel libvorbis-devel libogg-devel desktop-file-utils

Requires: hicolor-icon-theme
Requires: %{name}-server = %{version}-%{release}

%description
Voxelands was originally forked from the Minetest-C55 0.3.x codebase. Changes to
date included a snow biome, farming, several new draw types - including diagonal
fences, walls, and proper sloped roofs - books that can be written in or display
craft guides, 3D players and mobs, a newly designed game ui, and much much more.

%package server
Summary: Voxelands multiplayer server
Requires(pre): shadow-utils
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description server
Voxelands multiplayer server. This package does not require X Windows System.

%prep
%setup -q -n %{name}


%build
# only get configuration from user directory and not ../../
%cmake -DRUN_IN_PLACE=0
make VERBOSE=1 %{?_smp_mflags}


%install
%make_install

# add desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

# Systemd unit file
mkdir -p %{buildroot}%{_unitdir}/
install -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}

# /etc/rsyslog.d/voxelands.conf
mkdir -p %{buildroot}%{_sysconfdir}/rsyslog.d/
install -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/rsyslog.d/%{name}.conf

# /etc/logrotate.d/minetest
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
install -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}-server

# /var/lib/minetest directory for server data files
install -d -m 0775 %{buildroot}%{_sharedstatedir}/%{name}/
install -d -m 0775 %{buildroot}%{_sharedstatedir}/%{name}/default/

# /etc/minetest/default.conf
install -d -m 0775 %{buildroot}%{_sysconfdir}/%{name}/
install    -m 0664 voxelands.conf.example %{buildroot}%{_sysconfdir}/%{name}/default.conf

# /etc/sysconfig/default.conf
install -d -m 0775 %{buildroot}%{_sysconfdir}/sysconfig/%{name}/
install    -m 0664 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

cp -p %{SOURCE5} README.fedora

%find_lang %{name}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%pre server
getent group %{name} >/dev/null || groupadd -r %{name}
gettent passwd %{name} >/dev/null || \
    useradd -r -g %{name} -d %{_sharedstatedir}/%{name} -s /sbin/nologin \
    -c "Voxelands Multiplayer Server" %{name}
exit 0

%post server
%systemd_post %{name}@default.service

%preun server
%systemd_preun %{name}@default.service

%postun server
%systemd_postun_with_restart %{name}@default.service 



%files -f %{name}.lang
%doc doc/changelog.txt doc/gpl-3.0.txt src/jthread/LICENSE.MIT README.fedora
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/24x24/apps/%{name}-24x24.png
%{_mandir}/man6/voxelands.*
#voxelands currently does not have an appdata.xml file
#%{_datadir}/appdata/%{name}.appdata.xml

%files server
%doc README.txt doc/gpl-3.0.txt src/jthread/LICENSE.MIT doc/mapformat.txt doc/protocol.txt README.fedora
%{_bindir}/%{name}-server
%{_unitdir}/%{name}@.service
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}-server
%config(noreplace) %{_sysconfdir}/rsyslog.d/%{name}.conf
%attr(-,voxelands,voxelands)%{_sharedstatedir}/%{name}/
%attr(-,voxelands,voxelands)%{_sysconfdir}/%{name}/
%attr(-,voxelands,voxelands)%{_sysconfdir}/sysconfig/%{name}/
%{_mandir}/man6/voxelands-server.*


%changelog
* Sat Sep 27 2014 Ye Myat Kaung <mavjs01@gmail.com> - 1409.00-2
- Bumping To See build

* Thu Sep 11 2014 Ye Myat Kaung <mavjs01@gmail.com> - 1409.00-1
- Initial package of voxelands for Fedora repos.
- Packaged both server and client.
